Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class DefaultSeparator

    java.lang.Object
      com.servingxml.components.flatfile.options.DefaultSeparator

All Implemented Interfaces:
  Separator

    public class DefaultSeparator

extends java.lang.Object
implements Separator

Field Summary
`static DefaultSeparator` | `COMMA`

Fields inherited from interface com.servingxml.components.flatfile.options.Separator
`EMPTY_ARRAY, WHITESPACE`

Constructor Summary
`DefaultSeparator()`
`DefaultSeparator(char[] value)`
`DefaultSeparator(java.lang.String s)`
`DefaultSeparator(java.lang.String s, java.lang.String escapedBy, java.lang.String continuationSequence)`

Method Summary
`ByteDelimiterExtractor` | `createByteDelimiterExtractor(java.nio.charset.Charset charset)`
`CharDelimiterExtractor` | `createCharDelimiterExtractor()`
`boolean` | `equalsString(java.lang.String s)`
`boolean` | `isEmpty()`
`boolean` | `occursIn(java.lang.String s)`
`java.lang.String` | `toString()`
`void` | `writeEndDelimiterTo(RecordOutput recordOutput)`
`void` | `writeEndDelimiterTo(java.lang.StringBuilder buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMA

    public static final DefaultSeparator COMMA

Constructor Detail

### DefaultSeparator

    public DefaultSeparator()

### DefaultSeparator

    public DefaultSeparator(char[] value)

### DefaultSeparator

    public DefaultSeparator(java.lang.String s)

### DefaultSeparator

    public DefaultSeparator(java.lang.String s,
                            java.lang.String escapedBy,
                            java.lang.String continuationSequence)

Method Detail

### writeEndDelimiterTo

    public void writeEndDelimiterTo(java.lang.StringBuilder buf)

  Specified by:
    `writeEndDelimiterTo` in interface `Separator`

### writeEndDelimiterTo

    public void writeEndDelimiterTo(RecordOutput recordOutput)

  Specified by:
    `writeEndDelimiterTo` in interface `Separator`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createByteDelimiterExtractor

    public ByteDelimiterExtractor createByteDelimiterExtractor(java.nio.charset.Charset charset)

  Specified by:
    `createByteDelimiterExtractor` in interface `Separator`

### createCharDelimiterExtractor

    public CharDelimiterExtractor createCharDelimiterExtractor()

  Specified by:
    `createCharDelimiterExtractor` in interface `Separator`

### occursIn

    public boolean occursIn(java.lang.String s)

  Specified by:
    `occursIn` in interface `Separator`

### equalsString

    public boolean equalsString(java.lang.String s)

  Specified by:
    `equalsString` in interface `Separator`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Separator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD